// swift-tools-version: 6.2
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "zundamon",
    platforms: [.macOS(.v13)],
    dependencies: [
        .package(url: "https://github.com/thebarndog/swift-dotenv.git", from: "2.1.0"),
        .package(url: "https://github.com/CoreOffice/XMLCoder.git", from: "0.18.0"),
    ],
    targets: [
        // Targets are the basic building blocks of a package, defining a module or a test suite.
        // Targets can depend on other targets in this package and products from dependencies.
        .executableTarget(
            name: "zundamon",
            dependencies: [
                .product(name: "SwiftDotenv", package: "swift-dotenv"),
                .product(name: "XMLCoder", package: "xmlcoder"),
                .target(name: "DiscordKit")
            ],
        ),
        .target(
            name: "DiscordKit",
            dependencies: [
            ],
        ),
    ]
)
